--[[SUI SKINS v1.0]]
local SUI=CreateFrame("Frame")
SUI:RegisterEvent("PLAYER_LOGIN")
SUI:SetScript("OnEvent", function(self, event)
	if SUIDB.A_DARKFRAMES == true then
		-- Character
		for i, v in pairs({	
			CharacterFrame.NineSlice.RightEdge,
			CharacterFrame.NineSlice.LeftEdge,
			CharacterFrame.NineSlice.TopEdge,
			CharacterFrame.NineSlice.BottomEdge,
			CharacterFrame.NineSlice.PortraitFrame,
			CharacterFrame.NineSlice.TopRightCorner,
			CharacterFrame.NineSlice.TopLeftCorner,
			CharacterFrame.NineSlice.BottomLeftCorner,
			CharacterFrame.NineSlice.BottomRightCorner,
			TokenFramePopup.Border.TopEdge,
			TokenFramePopup.Border.RightEdge,
			TokenFramePopup.Border.BottomEdge,
			TokenFramePopup.Border.LeftEdge,
			TokenFramePopup.Border.TopRightCorner,
			TokenFramePopup.Border.TopLeftCorner,
			TokenFramePopup.Border.BottomLeftCorner,
			TokenFramePopup.Border.BottomRightCorner,
			ReputationDetailFrame.Border.TopEdge,
			ReputationDetailFrame.Border.RightEdge,
			ReputationDetailFrame.Border.BottomEdge,
			ReputationDetailFrame.Border.LeftEdge,
			ReputationDetailFrame.Border.TopRightCorner,
			ReputationDetailFrame.Border.TopLeftCorner,
			ReputationDetailFrame.Border.BottomLeftCorner,
			ReputationDetailFrame.Border.BottomRightCorner }) do
				v:SetVertexColor(.15, .15, .15)
		end
		for i, v in pairs({
			CharacterFrame.Bg,
			CharacterFrame.TitleBg, }) do
				v:SetVertexColor(.3, .3, .3)
		end
		for i, v in pairs({	
			CharacterFrameInset.NineSlice.RightEdge,
			CharacterFrameInset.NineSlice.LeftEdge,
			CharacterFrameInset.NineSlice.TopEdge,
			CharacterFrameInset.NineSlice.BottomEdge,
			CharacterFrameInset.NineSlice.PortraitFrame,
			CharacterFrameInset.NineSlice.TopRightCorner,
			CharacterFrameInset.NineSlice.TopLeftCorner,
			CharacterFrameInset.NineSlice.BottomLeftCorner,
			CharacterFrameInset.NineSlice.BottomRightCorner,
			CharacterFrameInsetRight.NineSlice.RightEdge,
			CharacterFrameInsetRight.NineSlice.LeftEdge,
			CharacterFrameInsetRight.NineSlice.TopEdge,
			CharacterFrameInsetRight.NineSlice.BottomEdge,
			CharacterFrameInsetRight.NineSlice.PortraitFrame,
			CharacterFrameInsetRight.NineSlice.TopRightCorner,
			CharacterFrameInsetRight.NineSlice.TopLeftCorner,
			CharacterFrameInsetRight.NineSlice.BottomLeftCorner,
			CharacterFrameInsetRight.NineSlice.BottomRightCorner,
			PaperDollInnerBorderLeft,
			PaperDollInnerBorderRight,
			PaperDollInnerBorderTop,
			PaperDollInnerBorderTopLeft,
			PaperDollInnerBorderTopRight,
			PaperDollInnerBorderBottom,
			PaperDollInnerBorderBottomLeft,
			PaperDollInnerBorderBottomRight,
			PaperDollInnerBorderBottom2 }) do
				v:SetVertexColor(.3, .3, .3)
		end
		for i, v in pairs({
			CharacterFeetSlotFrame,
			CharacterHandsSlotFrame,
			CharacterWaistSlotFrame,
			CharacterLegsSlotFrame,
			CharacterFinger0SlotFrame,
			CharacterFinger1SlotFrame,
			CharacterTrinket0SlotFrame,
			CharacterTrinket1SlotFrame,
			CharacterWristSlotFrame,
			CharacterTabardSlotFrame,
			CharacterShirtSlotFrame,
			CharacterChestSlotFrame,
			CharacterBackSlotFrame,
			CharacterShoulderSlotFrame,
			CharacterNeckSlotFrame,
			CharacterHeadSlotFrame,
			CharacterMainHandSlotFrame,
			CharacterSecondaryHandSlotFrame }) do
				v:SetAlpha(0)
		end
		_G.select(CharacterMainHandSlot:GetNumRegions(), CharacterMainHandSlot:GetRegions()):Hide()
		_G.select(CharacterSecondaryHandSlot:GetNumRegions(), CharacterSecondaryHandSlot:GetRegions()):Hide()
	
		-- SpellBook
		for i, v in pairs({ SpellBookFrame.NineSlice.TopEdge,
			SpellBookFrame.NineSlice.RightEdge,
			SpellBookFrame.NineSlice.LeftEdge,
			SpellBookFrame.NineSlice.TopEdge,
			SpellBookFrame.NineSlice.BottomEdge,
			SpellBookFrame.NineSlice.PortraitFrame,
			SpellBookFrame.NineSlice.TopRightCorner,
			SpellBookFrame.NineSlice.TopLeftCorner,
			SpellBookFrame.NineSlice.BottomLeftCorner,
			SpellBookFrame.NineSlice.BottomRightCorner,
		 	SpellBookFrameInset.NineSlice.BottomEdge, }) do
				v:SetVertexColor(.15, .15, .15)
		end
		for i, v in pairs({
			SpellBookFrame.Bg,
			SpellBookFrame.TitleBg,
			SpellBookFrameInset.Bg }) do
				v:SetVertexColor(.3, .3, .3)
		end
		SpellBookFrameInset:SetAlpha(0)
		
		-- PvE/Pvp
		for i, v in pairs({ PVEFrame.NineSlice.TopEdge,
			PVEFrame.NineSlice.TopRightCorner,
			PVEFrame.NineSlice.RightEdge,
			PVEFrame.NineSlice.BottomRightCorner,
			PVEFrame.NineSlice.BottomEdge,
			PVEFrame.NineSlice.BottomLeftCorner,
			PVEFrame.NineSlice.LeftEdge,
			PVEFrame.NineSlice.TopLeftCorner }) do
				v:SetVertexColor(.15, .15, .15)
		end
		for i, v in pairs({
			PVEFrame.Bg,
			PVEFrame.TitleBg,
			LFDQueueFrameBackground,
			LFDParentFrameRoleBackground,
			PVEFrameLeftInset.NineSlice.TopEdge,
			PVEFrameLeftInset.NineSlice.TopRightCorner,
			PVEFrameLeftInset.NineSlice.RightEdge,
			PVEFrameLeftInset.NineSlice.BottomRightCorner,
			PVEFrameLeftInset.NineSlice.BottomEdge,
			PVEFrameLeftInset.NineSlice.BottomLeftCorner,
			PVEFrameLeftInset.NineSlice.LeftEdge,
			PVEFrameLeftInset.NineSlice.TopLeftCorner,
			LFDParentFrameInset.NineSlice.TopEdge,
			LFDParentFrameInset.NineSlice.TopRightCorner,
			LFDParentFrameInset.NineSlice.RightEdge,
			LFDParentFrameInset.NineSlice.BottomRightCorner,
			LFDParentFrameInset.NineSlice.BottomEdge,
			LFDParentFrameInset.NineSlice.BottomLeftCorner,
			LFDParentFrameInset.NineSlice.LeftEdge,
			LFDParentFrameInset.NineSlice.TopLeftCorner,
			RaidFinderFrameRoleInset.NineSlice.TopEdge,
			RaidFinderFrameRoleInset.NineSlice.TopRightCorner,
			RaidFinderFrameRoleInset.NineSlice.RightEdge,
			RaidFinderFrameRoleInset.NineSlice.BottomRightCorner,
			RaidFinderFrameRoleInset.NineSlice.BottomEdge,
			RaidFinderFrameRoleInset.NineSlice.BottomLeftCorner,
			RaidFinderFrameRoleInset.NineSlice.LeftEdge,
			RaidFinderFrameRoleInset.NineSlice.TopLeftCorner,
			RaidFinderFrameBottomInset.NineSlice.TopEdge,
			RaidFinderFrameBottomInset.NineSlice.TopRightCorner,
			RaidFinderFrameBottomInset.NineSlice.RightEdge,
			RaidFinderFrameBottomInset.NineSlice.BottomRightCorner,
			RaidFinderFrameBottomInset.NineSlice.BottomEdge,
			RaidFinderFrameBottomInset.NineSlice.BottomLeftCorner,
			RaidFinderFrameBottomInset.NineSlice.LeftEdge,
			RaidFinderFrameBottomInset.NineSlice.TopLeftCorner,
			LFGListFrame.CategorySelection.Inset.NineSlice.TopEdge,
			LFGListFrame.CategorySelection.Inset.NineSlice.TopRightCorner,
			LFGListFrame.CategorySelection.Inset.NineSlice.RightEdge,
			LFGListFrame.CategorySelection.Inset.NineSlice.BottomRightCorner,
			LFGListFrame.CategorySelection.Inset.NineSlice.BottomEdge,
			LFGListFrame.CategorySelection.Inset.NineSlice.BottomLeftCorner,
			LFGListFrame.CategorySelection.Inset.NineSlice.LeftEdge,
			LFGListFrame.CategorySelection.Inset.NineSlice.TopLeftCorner, }) do
				v:SetVertexColor(.3, .3, .3)
		end
		for i, v in pairs({
			PVEFrameTopFiligree,
			PVEFrameBottomFiligree,
			PVEFrameBlueBg,
			LFGListFrame.CategorySelection.Inset.CustomBG }) do
				v:SetVertexColor(.5, .5, .5)
		end

		-- Friends
		for i, v in pairs({ 
			FriendsFrame.NineSlice.TopEdge,
			FriendsFrame.NineSlice.TopEdge,
			FriendsFrame.NineSlice.TopRightCorner,
			FriendsFrame.NineSlice.RightEdge,
			FriendsFrame.NineSlice.BottomRightCorner,
			FriendsFrame.NineSlice.BottomEdge,
			FriendsFrame.NineSlice.BottomLeftCorner,
			FriendsFrame.NineSlice.LeftEdge,
			FriendsFrame.NineSlice.TopLeftCorner,
			FriendsFriendsFrame.Border.TopEdge,
			FriendsFriendsFrame.Border.RightEdge,
			FriendsFriendsFrame.Border.BottomEdge,
			FriendsFriendsFrame.Border.LeftEdge,
			FriendsFriendsFrame.Border.TopRightCorner,
			FriendsFriendsFrame.Border.TopLeftCorner,
			FriendsFriendsFrame.Border.BottomLeftCorner,
			FriendsFriendsFrame.Border.BottomRightCorner, }) do
				v:SetVertexColor(.15, .15, .15)
		end
		for i, v in pairs({
			FriendsFrame.Bg,
			FriendsFrame.TitleBg,
			FriendsFrameInset.NineSlice.TopEdge,
			FriendsFrameInset.NineSlice.TopEdge,
			FriendsFrameInset.NineSlice.TopRightCorner,
			FriendsFrameInset.NineSlice.RightEdge,
			FriendsFrameInset.NineSlice.BottomRightCorner,
			FriendsFrameInset.NineSlice.BottomEdge,
			FriendsFrameInset.NineSlice.BottomLeftCorner,
			FriendsFrameInset.NineSlice.LeftEdge,
			FriendsFrameInset.NineSlice.TopLeftCorner }) do
				v:SetVertexColor(.3, .3, .3)
		end
		for i, v in pairs({ 	
			FriendsListFrameScrollFrameTop,
			FriendsListFrameScrollFrameMiddle,
			FriendsListFrameScrollFrameBottom,
			FriendsListFrameScrollFrameThumbTexture,
			FriendsListFrameScrollFrameScrollUpButton.Normal,
			FriendsListFrameScrollFrameScrollDownButton.Normal,
			FriendsListFrameScrollFrameScrollUpButton.Disabled,
			FriendsListFrameScrollFrameScrollDownButton.Disabled,

 		}) do
			v:SetVertexColor(.4, .4, .4)
		end
	
		-- Map
		for i, v in pairs({ WorldMapFrame.BorderFrame.NineSlice.TopEdge,
			WorldMapFrame.BorderFrame.NineSlice.TopEdge,
			WorldMapFrame.BorderFrame.NineSlice.TopEdge,
			WorldMapFrame.BorderFrame.NineSlice.TopRightCorner,
			WorldMapFrame.BorderFrame.NineSlice.RightEdge,
			WorldMapFrame.BorderFrame.NineSlice.BottomRightCorner,
			WorldMapFrame.BorderFrame.NineSlice.BottomEdge,
			WorldMapFrame.BorderFrame.NineSlice.BottomLeftCorner,
			WorldMapFrame.BorderFrame.NineSlice.LeftEdge,
			WorldMapFrame.BorderFrame.NineSlice.TopLeftCorner, }) do
				v:SetVertexColor(.15, .15, .15)
		end
		for i, v in pairs({ 
			WorldMapFrame.NavBar.InsetBorderBottom,
			WorldMapFrame.NavBar.InsetBorderBottomLeft,
			WorldMapFrame.NavBar.InsetBorderBottomRight,
			WorldMapFrame.NavBar.InsetBorderLeft,
			WorldMapFrame.NavBar.InsetBorderRight, }) do
				v:SetVertexColor(.3, .3, .3)
		end
		for i, v in pairs({
			WorldMapFrame.BorderFrame.Bg,
			WorldMapFrame.BorderFrame.TitleBg, }) do
				v:SetVertexColor(.3, .3, .3)
		end

		-- Channels
		for i, v in pairs({ ChannelFrame.NineSlice.TopEdge,
			ChannelFrame.NineSlice.TopEdge,
			ChannelFrame.NineSlice.TopRightCorner,
			ChannelFrame.NineSlice.RightEdge,
			ChannelFrame.NineSlice.BottomRightCorner,
			ChannelFrame.NineSlice.BottomEdge,
			ChannelFrame.NineSlice.BottomLeftCorner,
			ChannelFrame.NineSlice.LeftEdge,
			ChannelFrame.NineSlice.TopLeftCorner,
			ChannelFrame.LeftInset.NineSlice.BottomEdge,
			ChannelFrame.LeftInset.NineSlice.BottomLeftCorner,
			ChannelFrame.LeftInset.NineSlice.BottomRightCorner,
			ChannelFrame.RightInset.NineSlice.BottomEdge,
			ChannelFrame.RightInset.NineSlice.BottomLeftCorner,
			ChannelFrame.RightInset.NineSlice.BottomRightCorner,
			ChannelFrameInset.NineSlice.BottomEdge, }) do
				v:SetVertexColor(.15, .15, .15)
		end
		for i, v in pairs({
			ChannelFrame.Bg,
			ChannelFrame.TitleBg,
			ChannelFrameInset.Bg }) do
				v:SetVertexColor(.3, .3, .3)
		end

		-- Chat
		for i, v in pairs({ ChatFrame1EditBoxLeft,
			ChatFrame1EditBoxRight,
			ChatFrame1EditBoxMid,
			ChatFrame2EditBoxLeft,
			ChatFrame2EditBoxRight,
			ChatFrame2EditBoxMid,
			ChatFrame3EditBoxLeft,
			ChatFrame3EditBoxRight,
			ChatFrame3EditBoxMid,
			ChatFrame4EditBoxLeft,
			ChatFrame4EditBoxRight,
			ChatFrame4EditBoxMid,
			ChatFrame5EditBoxLeft,
			ChatFrame5EditBoxRight,
			ChatFrame5EditBoxMid,
			ChatFrame6EditBoxLeft,
			ChatFrame6EditBoxRight,
			ChatFrame6EditBoxMid,
			ChatFrame7EditBoxLeft,
			ChatFrame7EditBoxRight,
			ChatFrame7EditBoxMid,	}) do
				v:SetVertexColor(.15, .15, .15)
		end

		-- Mail
		for i, v in pairs({ MailFrame.NineSlice.TopEdge,
			MailFrame.NineSlice.TopRightCorner,
			MailFrame.NineSlice.RightEdge,
			MailFrame.NineSlice.BottomRightCorner,
			MailFrame.NineSlice.BottomEdge,
			MailFrame.NineSlice.BottomLeftCorner,
			MailFrame.NineSlice.LeftEdge,
			MailFrame.NineSlice.TopLeftCorner,
			MailFrameInset.NineSlice.BottomEdge, }) do
				v:SetVertexColor(.15, .15, .15)
		end
		for i, v in pairs({
			MailFrame.Bg,
			MailFrame.TitleBg,
			MailFrameInset.Bg }) do
				v:SetVertexColor(.3, .3, .3)
		end
		
		-- Merchant
		for i, v in pairs({ MerchantFrame.NineSlice.TopEdge,
			MerchantFrame.NineSlice.RightEdge,
			MerchantFrame.NineSlice.BottomEdge,
			MerchantFrame.NineSlice.LeftEdge,
			MerchantFrame.NineSlice.TopRightCorner,
			MerchantFrame.NineSlice.TopLeftCorner,
			MerchantFrame.NineSlice.BottomLeftCorner,
			MerchantFrame.NineSlice.BottomRightCorner,
			StackSplitFrame.SingleItemSplitBackground, }) do
				v:SetVertexColor(.15, .15, .15)
		end
		for i, v in pairs({
			MerchantFrame.Bg,
			MerchantFrame.TitleBg,
			MerchantFrameInset.Bg }) do
				v:SetVertexColor(.3, .3, .3)
		end

		-- Gossip (e.g NPC dialog frame and interactions)
		for i, v in pairs({ GossipFrame.NineSlice.TopEdge,
			GossipFrame.NineSlice.RightEdge,
			GossipFrame.NineSlice.BottomEdge,
			GossipFrame.NineSlice.LeftEdge,
			GossipFrame.NineSlice.TopRightCorner,
			GossipFrame.NineSlice.TopLeftCorner,
			GossipFrame.NineSlice.BottomLeftCorner,
			GossipFrame.NineSlice.BottomRightCorner,
		 	GossipFrameInset.NineSlice.BottomEdge, }) do
				v:SetVertexColor(.15, .15, .15)
		end
		for i, v in pairs({
			GossipFrame.Bg,
			GossipFrame.TitleBg,
			GossipFrameInset.Bg }) do
				v:SetVertexColor(.3, .3, .3)
		end

		-- Bank
		for i, v in pairs({ BankFrame.NineSlice.TopEdge,
			BankFrame.NineSlice.RightEdge,
			BankFrame.NineSlice.BottomEdge,
			BankFrame.NineSlice.LeftEdge,
			BankFrame.NineSlice.TopRightCorner,
			BankFrame.NineSlice.TopLeftCorner,
			BankFrame.NineSlice.BottomLeftCorner,
			BankFrame.NineSlice.BottomRightCorner,	}) do
				v:SetVertexColor(.15, .15, .15)
		end
		for i, v in pairs({
			BankFrame.Bg,
			BankFrame.TitleBg }) do
				v:SetVertexColor(.3, .3, .3)
		end

		-- Quest
		for i, v in pairs({ QuestFrame.NineSlice.TopEdge,
			QuestFrame.NineSlice.RightEdge,
			QuestFrame.NineSlice.BottomEdge,
			QuestFrame.NineSlice.LeftEdge,
			QuestFrame.NineSlice.TopRightCorner,
			QuestFrame.NineSlice.TopLeftCorner,
			QuestFrame.NineSlice.BottomLeftCorner,
			QuestFrame.NineSlice.BottomRightCorner,
			QuestFrameInset.NineSlice.BottomEdge,
			QuestLogPopupDetailFrame.NineSlice.TopEdge,
			QuestLogPopupDetailFrame.NineSlice.RightEdge,
			QuestLogPopupDetailFrame.NineSlice.BottomEdge,
			QuestLogPopupDetailFrame.NineSlice.LeftEdge,
			QuestLogPopupDetailFrame.NineSlice.TopRightCorner,
			QuestLogPopupDetailFrame.NineSlice.TopLeftCorner,
			QuestLogPopupDetailFrame.NineSlice.BottomLeftCorner,
			QuestLogPopupDetailFrame.NineSlice.BottomRightCorner,
			QuestLogPopupDetailFrame.NineSlice.BottomEdge,
			QuestNPCModelTopBorder,
			QuestNPCModelRightBorder,
			QuestNPCModelTopRightCorner,
			QuestNPCModelBottomRightCorner,
			QuestNPCModelBottomBorder,
			QuestNPCModelBottomLeftCorner,
			QuestNPCModelLeftBorder,
			QuestNPCModelTopLeftCorner,
			QuestNPCModelTextTopBorder,
			QuestNPCModelTextRightBorder,
			QuestNPCModelTextTopRightCorner,
			QuestNPCModelTextBottomRightCorner,
			QuestNPCModelTextBottomBorder,
			QuestNPCModelTextBottomLeftCorner,
			QuestNPCModelTextLeftBorder,
			QuestNPCModelTextTopLeftCorner, }) do
				v:SetVertexColor(.15, .15, .15)
		end
		for i, v in pairs({
			QuestFrame.Bg,
			QuestFrame.TitleBg,
			QuestFrameInset.Bg }) do
				v:SetVertexColor(.3, .3, .3)
		end
		for i, v in pairs({ 	
			QuestScrollFrameScrollBarTop,
			QuestScrollFrameScrollBarMiddle,
			QuestScrollFrameScrollBarBottom,
			QuestScrollFrameScrollBarThumbTexture,
			QuestScrollFrameScrollBarScrollUpButton.Normal,
			QuestScrollFrameScrollBarScrollDownButton.Normal,
			QuestScrollFrameScrollBarScrollUpButton.Disabled,
			QuestScrollFrameScrollBarScrollDownButton.Disabled,

 		}) do
			v:SetVertexColor(.4, .4, .4)
		end

		-- DressUP
		for i, v in pairs({ DressUpFrame.NineSlice.TopEdge,
			DressUpFrame.NineSlice.RightEdge,
			DressUpFrame.NineSlice.BottomEdge,
			DressUpFrame.NineSlice.LeftEdge,
			DressUpFrame.NineSlice.TopRightCorner,
			DressUpFrame.NineSlice.TopLeftCorner,
			DressUpFrame.NineSlice.BottomLeftCorner,
			DressUpFrame.NineSlice.BottomRightCorner,
			DressUpFrameInset.NineSlice.BottomEdge, }) do
				v:SetVertexColor(.15, .15, .15)
		end
		for i, v in pairs({
			DressUpFrame.Bg,
			DressUpFrame.TitleBg,
			DressUpFrameInset.Bg }) do
				v:SetVertexColor(.3, .3, .3)
		end

		-- LootFrame
		for i, v in pairs({ LootFrame.NineSlice.TopEdge,
			LootFrame.NineSlice.RightEdge,
			LootFrame.NineSlice.BottomEdge,
			LootFrame.NineSlice.LeftEdge,
			LootFrame.NineSlice.TopRightCorner,
			LootFrame.NineSlice.TopLeftCorner,
			LootFrame.NineSlice.BottomLeftCorner,
			LootFrame.NineSlice.BottomRightCorner, }) do
				v:SetVertexColor(.15, .15, .15)
		end
		for i, v in pairs({ LootFrame.NineSlice.TopEdge,
			LootFrameInset.NineSlice.RightEdge,
			LootFrameInset.NineSlice.BottomEdge,
			LootFrameInset.NineSlice.LeftEdge,
			LootFrameInset.NineSlice.TopRightCorner,
			LootFrameInset.NineSlice.TopLeftCorner,
			LootFrameInset.NineSlice.BottomLeftCorner,
			LootFrameInset.NineSlice.BottomRightCorner, }) do
				v:SetVertexColor(.3, .3, .3)
		end
		for i, v in pairs({
			LootFrame.Bg,
			LootFrame.TitleBg,
			LootFrameInset.Bg }) do
				v:SetVertexColor(.3, .3, .3)
		end

		-- HelpFrame
		for i, v in pairs({ HelpFrameTopBorder,
			HelpFrameRightBorder,
			HelpFrameTopRightCorner,
			HelpFrameBottomRightCorner,
			HelpFrameBottomBorder,
			HelpFrameBottomLeftCorner,
			HelpFrameLeftBorder,
			HelpFrameTopLeftCorner,
		 	HelpFrameVertDivTop,
			HelpFrameVertDivMiddle,
			HelpFrameVertDivBottom,
			HelpFrameHeaderTopBorder,
			HelpFrameHeaderTopRightCorner,
			HelpFrameHeaderRightBorder,
			HelpFrameHeaderBottomRightCorner,
			HelpFrameHeaderBottomBorder,
			HelpFrameHeaderBottomLeftCorner,
			HelpFrameHeaderLeftBorder,
			HelpFrameHeaderTopLeftCorner,
			HelpFrameLeftInset.NineSlice.LeftEdge,
		 	HelpFrameLeftInset.NineSlice.BottomEdge,
			HelpBrowser.BrowserInset.NineSlice.BottomEdge,
			HelpFrameMainInset.NineSlice.BottomEdge, }) do
				v:SetVertexColor(.15, .15, .15)
		end

		-- ItemTextFrame
		for i, v in pairs({	ItemTextFrame.NineSlice.TopEdge,
			ItemTextFrame.NineSlice.RightEdge,
			ItemTextFrame.NineSlice.BottomEdge,
			ItemTextFrame.NineSlice.LeftEdge,
			ItemTextFrame.NineSlice.TopRightCorner,
			ItemTextFrame.NineSlice.TopLeftCorner,
			ItemTextFrame.NineSlice.BottomLeftCorner,
			ItemTextFrame.NineSlice.BottomRightCorner, }) do
				v:SetVertexColor(.15, .15, .15)
		end

		-- PetitionFrame
		for i, v in pairs({	PetitionFrame.NineSlice.TopEdge,
			PetitionFrame.NineSlice.RightEdge,
			PetitionFrame.NineSlice.BottomEdge,
			PetitionFrame.NineSlice.LeftEdge,
			PetitionFrame.NineSlice.TopRightCorner,
			PetitionFrame.NineSlice.TopLeftCorner,
			PetitionFrame.NineSlice.BottomLeftCorner,
			PetitionFrame.NineSlice.BottomRightCorner, }) do
				v:SetVertexColor(.15, .15, .15)
		end
		for i, v in pairs({
			PetitionFrame.Bg,
			PetitionFrame.TitleBg,
			PetitionFrameInset.Bg }) do
				v:SetVertexColor(.3, .3, .3)
		end

		-- Guild Register Frame (pt?) & Tabard Frame
		for i, v in pairs({	GuildRegistrarFrame.NineSlice.TopEdge,
			GuildRegistrarFrame.NineSlice.RightEdge,
			GuildRegistrarFrame.NineSlice.BottomEdge,
			GuildRegistrarFrame.NineSlice.LeftEdge,
			GuildRegistrarFrame.NineSlice.TopRightCorner,
			GuildRegistrarFrame.NineSlice.TopLeftCorner,
			GuildRegistrarFrame.NineSlice.BottomLeftCorner,
			GuildRegistrarFrame.NineSlice.BottomRightCorner,
			TabardFrame.NineSlice.TopEdge,
			TabardFrame.NineSlice.RightEdge,
			TabardFrame.NineSlice.BottomEdge,
			TabardFrame.NineSlice.LeftEdge,
			TabardFrame.NineSlice.TopRightCorner,
			TabardFrame.NineSlice.TopLeftCorner,
			TabardFrame.NineSlice.BottomLeftCorner,
			TabardFrame.NineSlice.BottomRightCorner, }) do
				v:SetVertexColor(.15, .15, .15)
		end	
		for i, v in pairs({
			GuildRegistrarFrame.Bg,
			GuildRegistrarFrame.TitleBg,
			GuildRegistrarFrameInset.Bg,
			TabardFrame.Bg,
			TabardFrame.TitleBg,
			TabardFrameInset.Bg }) do
				v:SetVertexColor(.3, .3, .3)
		end

		-------------- Frames that need a load to work properly --------------
		-- Specialization
		local f = CreateFrame("Frame")
		f:RegisterEvent("ADDON_LOADED")
		f:SetScript("OnEvent", function(self, event, name)
			if name == "Blizzard_TalentUI" then
				for i, v in pairs({ 
					PlayerTalentFrame.NineSlice.TopEdge,
					PlayerTalentFrame.NineSlice.RightEdge,
					PlayerTalentFrame.NineSlice.BottomEdge,
					PlayerTalentFrame.NineSlice.LeftEdge,
					PlayerTalentFrame.NineSlice.TopRightCorner,
					PlayerTalentFrame.NineSlice.TopLeftCorner,
					PlayerTalentFrame.NineSlice.BottomLeftCorner,
					PlayerTalentFrame.NineSlice.BottomRightCorner,
					PlayerTalentFrame.NineSlice.BottomEdge, }) do
						v:SetVertexColor(.15, .15, .15)
				end
				for i, v in pairs({
				PlayerTalentFrameInset.NineSlice.RightEdge,
				PlayerTalentFrameInset.NineSlice.BottomEdge,
				PlayerTalentFrameInset.NineSlice.LeftEdge,
				PlayerTalentFrameInset.NineSlice.TopRightCorner,
				PlayerTalentFrameInset.NineSlice.TopLeftCorner,
				PlayerTalentFrameInset.NineSlice.BottomLeftCorner,
				PlayerTalentFrameInset.NineSlice.BottomRightCorner,
				PlayerTalentFrameInset.NineSlice.BottomEdge, }) do
					v:SetVertexColor(.3, .3, .3)
				end
				for i, v in pairs({
					PVEFrameTopFiligree,
					PVEFrameBottomFiligree,
					PVEFrameBlueBg,
					LFGListFrame.CategorySelection.Inset.CustomBG }) do
						v:SetVertexColor(.5, .5, .5)
				end
				for i, v in pairs({
					PlayerTalentFrame.Bg,
					PlayerTalentFrame.TitleBg,
					PlayerTalentFrameInset.Bg }) do
						v:SetVertexColor(.3, .3, .3)
				end
				for i, v in pairs({
					PlayerTalentFrameTalents.bg }) do
						v:SetVertexColor(.5, .5, .5)
				end
			end
		end)

		-- Collections
		local f = CreateFrame("Frame")
		f:RegisterEvent("ADDON_LOADED")
		f:SetScript("OnEvent", function(self, event, name)
			if name == "Blizzard_Collections" then
				for i, v in pairs({ CollectionsJournal.NineSlice.TopEdge,
					CollectionsJournal.NineSlice.TopRightCorner,
					CollectionsJournal.NineSlice.RightEdge,
					CollectionsJournal.NineSlice.BottomRightCorner,
					CollectionsJournal.NineSlice.BottomEdge,
					CollectionsJournal.NineSlice.BottomLeftCorner,
					CollectionsJournal.NineSlice.LeftEdge,
					CollectionsJournal.NineSlice.TopLeftCorner, }) do
						v:SetVertexColor(.15, .15, .15)
				end
				for i, v in pairs({
					CollectionsJournal.Bg,
					CollectionsJournal.TitleBg }) do
						v:SetVertexColor(.3, .3, .3)
				end
			end
		end)

		-- AdventureGuide
		local f = CreateFrame("Frame")
		f:RegisterEvent("ADDON_LOADED")
		f:SetScript("OnEvent", function(self, event, name)
			if name == "Blizzard_EncounterJournal" then
				for i, v in pairs({ EncounterJournal.NineSlice.TopEdge,
					EncounterJournal.NineSlice.RightEdge,
					EncounterJournal.NineSlice.BottomEdge,
					EncounterJournal.NineSlice.LeftEdge,
					EncounterJournal.NineSlice.TopRightCorner,
					EncounterJournal.NineSlice.TopLeftCorner,
					EncounterJournal.NineSlice.BottomLeftCorner,
					EncounterJournal.NineSlice.BottomRightCorner,
					EncounterJournalInset.NineSlice.BottomEdge, }) do
						v:SetVertexColor(.15, .15, .15)
				end
				EncounterJournalInset:SetAlpha(0)
				for i, v in pairs({
					EncounterJournal.Bg,
					EncounterJournal.TitleBg }) do
						v:SetVertexColor(.3, .3, .3)
				end
			end
		end)

		-- Communities
		local f = CreateFrame("Frame")
		f:RegisterEvent("ADDON_LOADED")
		f:SetScript("OnEvent", function(self, event, name)
			if name == "Blizzard_Communities" then
				for i, v in pairs({ CommunitiesFrame.NineSlice.TopEdge,
					CommunitiesFrame.NineSlice.RightEdge,
					CommunitiesFrame.NineSlice.BottomEdge,
					CommunitiesFrame.NineSlice.LeftEdge,
					CommunitiesFrame.NineSlice.TopRightCorner,
					CommunitiesFrame.NineSlice.TopLeftCorner,
					CommunitiesFrame.NineSlice.BottomLeftCorner,
					CommunitiesFrame.NineSlice.BottomRightCorner,
					CommunitiesFrameCommunitiesList.InsetFrame.NineSlice.BottomEdge,
					CommunitiesFrame.GuildFinderFrame.InsetFrame.NineSlice.BottomEdge,
					CommunitiesFrame.GuildMemberDetailFrame.Border.TopEdge,
					CommunitiesFrame.GuildMemberDetailFrame.Border.RightEdge,
					CommunitiesFrame.GuildMemberDetailFrame.Border.BottomEdge,
					CommunitiesFrame.GuildMemberDetailFrame.Border.LeftEdge,
					CommunitiesFrame.GuildMemberDetailFrame.Border.TopRightCorner,
					CommunitiesFrame.GuildMemberDetailFrame.Border.TopLeftCorner,
					CommunitiesFrame.GuildMemberDetailFrame.Border.BottomLeftCorner,
					CommunitiesFrame.GuildMemberDetailFrame.Border.BottomRightCorner, }) do
						v:SetVertexColor(.15, .15, .15)
				end
				for i, v in pairs({
					CommunitiesFrame.Bg,
					CommunitiesFrame.TitleBg,
					CommunitiesFrameInset.Bg }) do
						v:SetVertexColor(.3, .3, .3)
				end
				for i, v in pairs({
					CommunitiesFrameCommunitiesList.TopFiligree,
					CommunitiesFrameCommunitiesList.BottomFiligree,
					CommunitiesFrameCommunitiesList.Bg}) do
						v:SetVertexColor(.5, .5, .5)
				end
			end
		end)

		-- Macro
		local f = CreateFrame("Frame")
		f:RegisterEvent("ADDON_LOADED")
		f:SetScript("OnEvent", function(self, event, name)
			if name == "Blizzard_MacroUI" then
				for i, v in pairs({ MacroFrame.NineSlice.TopEdge,
					MacroFrame.NineSlice.RightEdge,
					MacroFrame.NineSlice.BottomEdge,
					MacroFrame.NineSlice.LeftEdge,
					MacroFrame.NineSlice.TopRightCorner,
					MacroFrame.NineSlice.TopLeftCorner,
					MacroFrame.NineSlice.BottomLeftCorner,
					MacroFrame.NineSlice.BottomRightCorner,
					MacroFrameInset.NineSlice.BottomEdge, }) do
						v:SetVertexColor(.15, .15, .15)
				end
				for i, v in pairs({
					MacroFrame.Bg,
					MacroFrame.TitleBg }) do
						v:SetVertexColor(.3, .3, .3)
				end
			end
		end)

		-- AuctionHouse
		local f = CreateFrame("Frame")
		f:RegisterEvent("ADDON_LOADED")
		f:SetScript("OnEvent", function(self, event, name)
			if name == "Blizzard_AuctionHouseUI" then
				for i, v in pairs({ AuctionHouseFrame.NineSlice.TopEdge,
					AuctionHouseFrame.NineSlice.RightEdge,
					AuctionHouseFrame.NineSlice.BottomEdge,
					AuctionHouseFrame.NineSlice.LeftEdge,
					AuctionHouseFrame.NineSlice.TopRightCorner,
					AuctionHouseFrame.NineSlice.TopLeftCorner,
					AuctionHouseFrame.NineSlice.BottomLeftCorner,
					AuctionHouseFrame.NineSlice.BottomRightCorner,
					AuctionHouseFrame.NineSlice.BottomEdge,
					AuctionHouseFrame.WoWTokenResults.GameTimeTutorial.NineSlice.TopEdge,
					AuctionHouseFrame.WoWTokenResults.GameTimeTutorial.NineSlice.RightEdge,
					AuctionHouseFrame.WoWTokenResults.GameTimeTutorial.NineSlice.BottomEdge,
					AuctionHouseFrame.WoWTokenResults.GameTimeTutorial.NineSlice.LeftEdge,
					AuctionHouseFrame.WoWTokenResults.GameTimeTutorial.NineSlice.TopRightCorner,
					AuctionHouseFrame.WoWTokenResults.GameTimeTutorial.NineSlice.TopLeftCorner,
					AuctionHouseFrame.WoWTokenResults.GameTimeTutorial.NineSlice.BottomLeftCorner,
					AuctionHouseFrame.WoWTokenResults.GameTimeTutorial.NineSlice.BottomRightCorner,
					AuctionHouseFrame.WoWTokenResults.GameTimeTutorial.NineSlice.BottomEdge,
					AuctionHouseFrame.BuyDialog.Border.TopEdge,
					AuctionHouseFrame.BuyDialog.Border.RightEdge,
					AuctionHouseFrame.BuyDialog.Border.BottomEdge,
					AuctionHouseFrame.BuyDialog.Border.LeftEdge,
					AuctionHouseFrame.BuyDialog.Border.TopRightCorner,
					AuctionHouseFrame.BuyDialog.Border.TopLeftCorner,
					AuctionHouseFrame.BuyDialog.Border.BottomLeftCorner,
					AuctionHouseFrame.BuyDialog.Border.BottomRightCorner,
					AuctionHouseFrame.BuyDialog.Border.BottomEdge, }) do
						v:SetVertexColor(.15, .15, .15)
				end
				for i, v in pairs({
					AuctionHouseFrame.Bg,
					AuctionHouseFrame.TitleBg }) do
						v:SetVertexColor(.3, .3, .3)
				end
			end
		end)

		-- FlightMap
		local f = CreateFrame("Frame")
		f:RegisterEvent("ADDON_LOADED")
		f:SetScript("OnEvent", function(self, event, name)
			if name == "Blizzard_FlightMap" then
				for i, v in pairs({ FlightMapFrame.BorderFrame.NineSlice.TopEdge,
					FlightMapFrame.BorderFrame.NineSlice.RightEdge,
					FlightMapFrame.BorderFrame.NineSlice.BottomEdge,
					FlightMapFrame.BorderFrame.NineSlice.LeftEdge,
					FlightMapFrame.BorderFrame.NineSlice.TopRightCorner,
					FlightMapFrame.BorderFrame.NineSlice.TopLeftCorner,
					FlightMapFrame.BorderFrame.NineSlice.BottomLeftCorner,
					FlightMapFrame.BorderFrame.NineSlice.BottomRightCorner,	}) do
						v:SetVertexColor(.15, .15, .15)
				end
				for i, v in pairs({
					FlightMapFrame.Bg,
					FlightMapFrame.TitleBg }) do
						v:SetVertexColor(.3, .3, .3)
				end
			end
		end)

		-- TradeSkill
		local f = CreateFrame("Frame")
		f:RegisterEvent("ADDON_LOADED")
		f:SetScript("OnEvent", function(self, event, name)
			if name == "Blizzard_TradeSkillUI" then
				for i, v in pairs({ TradeSkillFrame.NineSlice.TopEdge,
					TradeSkillFrame.NineSlice.RightEdge,
					TradeSkillFrame.NineSlice.BottomEdge,
					TradeSkillFrame.NineSlice.LeftEdge,
					TradeSkillFrame.NineSlice.TopRightCorner,
					TradeSkillFrame.NineSlice.TopLeftCorner,
					TradeSkillFrame.NineSlice.BottomLeftCorner,
					TradeSkillFrame.NineSlice.BottomRightCorner, }) do
						v:SetVertexColor(.15, .15, .15)
				end
				for i, v in pairs({
					TradeSkillFrame.Bg,
					TradeSkillFrame.TitleBg }) do
						v:SetVertexColor(.3, .3, .3)
				end
			end
		end)

		-- Inspect
		local f = CreateFrame("Frame")
		f:RegisterEvent("ADDON_LOADED")
		f:SetScript("OnEvent", function(self, event, name)
			if name == "Blizzard_InspectUI" then
				for i, v in pairs({ InspectFrame.NineSlice.TopEdge,
					InspectFrame.NineSlice.RightEdge,
					InspectFrame.NineSlice.BottomEdge,
					InspectFrame.NineSlice.LeftEdge,
					InspectFrame.NineSlice.TopRightCorner,
					InspectFrame.NineSlice.TopLeftCorner,
					InspectFrame.NineSlice.BottomLeftCorner,
					InspectFrame.NineSlice.BottomRightCorner,
					InspectFrameInset.NineSlice.BottomEdge, }) do
						v:SetVertexColor(.15, .15, .15)
				end
				for i, v in pairs({
					InspectFrame.Bg,
					InspectFrame.TitleBg }) do
						v:SetVertexColor(.3, .3, .3)
				end
				for i, v in pairs({	
					InspectFrameInset.NineSlice.RightEdge,
					InspectFrameInset.NineSlice.LeftEdge,
					InspectFrameInset.NineSlice.TopEdge,
					InspectFrameInset.NineSlice.BottomEdge,
					InspectFrameInset.NineSlice.PortraitFrame,
					InspectFrameInset.NineSlice.TopRightCorner,
					InspectFrameInset.NineSlice.TopLeftCorner,
					InspectFrameInset.NineSlice.BottomLeftCorner,
					InspectFrameInset.NineSlice.BottomRightCorner,
					InspectModelFrameBorderLeft,
					InspectModelFrameBorderRight,
					InspectModelFrameBorderTop,
					InspectModelFrameBorderTopLeft,
					InspectModelFrameBorderTopRight,
					InspectModelFrameBorderBottom,
					InspectModelFrameBorderBottomLeft,
					InspectModelFrameBorderBottomRight,
					InspectModelFrameBorderBottom2 }) do
						v:SetVertexColor(.3, .3, .3)
				end
				for i, v in pairs({
					InspectFeetSlotFrame,
					InspectHandsSlotFrame,
					InspectWaistSlotFrame,
					InspectLegsSlotFrame,
					InspectFinger0SlotFrame,
					InspectFinger1SlotFrame,
					InspectTrinket0SlotFrame,
					InspectTrinket1SlotFrame,
					InspectWristSlotFrame,
					InspectTabardSlotFrame,
					InspectShirtSlotFrame,
					InspectChestSlotFrame,
					InspectBackSlotFrame,
					InspectShoulderSlotFrame,
					InspectNeckSlotFrame,
					InspectHeadSlotFrame,
					InspectMainHandSlotFrame,
					InspectSecondaryHandSlotFrame }) do
						v:SetAlpha(0)
				end
				_G.select(InspectMainHandSlot:GetNumRegions(), InspectMainHandSlot:GetRegions()):Hide()
				_G.select(InspectSecondaryHandSlot:GetNumRegions(), InspectSecondaryHandSlot:GetRegions()):Hide()
			end
		end)

		-- Wardrobe/Transmogrify
		local f = CreateFrame("Frame")
		f:RegisterEvent("ADDON_LOADED")
		f:SetScript("OnEvent", function(self, event, name)
			if name == "Blizzard_Collections" or name == "Blizzard_Wardrobe" then
				for i, v in pairs({ WardrobeFrame.NineSlice.TopEdge,
					WardrobeFrame.NineSlice.RightEdge,
					WardrobeFrame.NineSlice.BottomEdge,
					WardrobeFrame.NineSlice.LeftEdge,
					WardrobeFrame.NineSlice.TopRightCorner,
					WardrobeFrame.NineSlice.TopLeftCorner,
					WardrobeFrame.NineSlice.BottomLeftCorner,
					WardrobeFrame.NineSlice.BottomRightCorner, }) do
						v:SetVertexColor(.15, .15, .15)
				end
				for i, v in pairs({
					WardrobeFrame.Bg,
					WardrobeFrame.TitleBg }) do
						v:SetVertexColor(.3, .3, .3)
				end
			end
		end)

		-- ClassTrainer/FlightMaster
		local f = CreateFrame("Frame")
		f:RegisterEvent("ADDON_LOADED")
		f:SetScript("OnEvent", function(self, event, name)
			if name == "Blizzard_TrainerUI" then
				for i, v in pairs({ ClassTrainerFrame.NineSlice.TopEdge,
					ClassTrainerFrame.NineSlice.RightEdge,
					ClassTrainerFrame.NineSlice.BottomEdge,
					ClassTrainerFrame.NineSlice.LeftEdge,
					ClassTrainerFrame.NineSlice.TopRightCorner,
					ClassTrainerFrame.NineSlice.TopLeftCorner,
					ClassTrainerFrame.NineSlice.BottomLeftCorner,
					ClassTrainerFrame.NineSlice.BottomRightCorner }) do
						v:SetVertexColor(.15, .15, .15)
				end
				for i, v in pairs({
					ClassTrainerFrame.Bg,
					ClassTrainerFrame.TitleBg }) do
						v:SetVertexColor(.3, .3, .3)
				end
			end
		end)

		-- Achievement
		local f = CreateFrame("Frame")
		f:RegisterEvent("ADDON_LOADED")
		f:SetScript("OnEvent", function(self, event, name)
			if name == "Blizzard_AchievementUI" then
				for i, v in pairs({ AchievementFrameHeaderRight,
					AchievementFrameHeaderLeft,
					AchievementFrameWoodBorderTopLeft,
					AchievementFrameWoodBorderBottomLeft,
					AchievementFrameWoodBorderTopRight,
					AchievementFrameWoodBorderBottomRight,
					AchievementFrameMetalBorderBottom,
					AchievementFrameMetalBorderBottomLeft,
					AchievementFrameMetalBorderBottomRight,
					AchievementFrameMetalBorderLeft,
					AchievementFrameMetalBorderRight,
					AchievementFrameMetalBorderTop,
					AchievementFrameMetalBorderTopLeft,
					AchievementFrameMetalBorderTopRight, }) do
						v:SetVertexColor(.15, .15, .15)
				end
			end
		end)

		-- Azerite
		local f = CreateFrame("Frame")
		f:RegisterEvent("ADDON_LOADED")
		f:SetScript("OnEvent", function(self, event, name)
			if name == "Blizzard_AzeriteUI" then
				for i, v in pairs({ AzeriteEmpoweredItemUI.BorderFrame.NineSlice.TopEdge,
					AzeriteEmpoweredItemUI.BorderFrame.NineSlice.RightEdge,
					AzeriteEmpoweredItemUI.BorderFrame.NineSlice.BottomEdge,
					AzeriteEmpoweredItemUI.BorderFrame.NineSlice.LeftEdge,
					AzeriteEmpoweredItemUI.BorderFrame.NineSlice.TopRightCorner,
					AzeriteEmpoweredItemUI.BorderFrame.NineSlice.TopLeftCorner,
					AzeriteEmpoweredItemUI.BorderFrame.NineSlice.BottomLeftCorner,
					AzeriteEmpoweredItemUI.BorderFrame.NineSlice.BottomRightCorner, }) do
						v:SetVertexColor(.15, .15, .15)
				end
				for i, v in pairs({
					AzeriteEmpoweredItemUI.BorderFrame.Bg,
					AzeriteEmpoweredItemUI.BorderFrame.TitleBg }) do
						v:SetVertexColor(.3, .3, .3)
				end
			end
		end)

		-- AlliedRaces
		local f = CreateFrame("Frame")
		f:RegisterEvent("ADDON_LOADED")
		f:SetScript("OnEvent", function(self, event, name)
			if name == "Blizzard_AlliedRacesUI" then
				for i, v in pairs({ AlliedRacesFrame.NineSlice.TopEdge,
					AlliedRacesFrame.NineSlice.RightEdge,
					AlliedRacesFrame.NineSlice.BottomEdge,
					AlliedRacesFrame.NineSlice.LeftEdge,
					AlliedRacesFrame.NineSlice.TopRightCorner,
					AlliedRacesFrame.NineSlice.TopLeftCorner,
					AlliedRacesFrame.NineSlice.BottomLeftCorner,
					AlliedRacesFrame.NineSlice.BottomRightCorner,
					AlliedRacesFrameInset.NineSlice.BottomEdge, }) do
						v:SetVertexColor(.15, .15, .15)
				end
				for i, v in pairs({
					AlliedRacesFrame.Bg,
					AlliedRacesFrame.TitleBg }) do
						v:SetVertexColor(.3, .3, .3)
				end
			end
		end)

		-- Inslands
		local f = CreateFrame("Frame")
		f:RegisterEvent("ADDON_LOADED")
		f:SetScript("OnEvent", function(self, event, name)
			if name == "Blizzard_IslandsQueueUI" then
				for i, v in pairs({ IslandsQueueFrame.NineSlice.TopEdge,
					IslandsQueueFrame.NineSlice.RightEdge,
					IslandsQueueFrame.NineSlice.BottomEdge,
					IslandsQueueFrame.NineSlice.LeftEdge,
					IslandsQueueFrame.NineSlice.TopRightCorner,
					IslandsQueueFrame.NineSlice.TopLeftCorner,
					IslandsQueueFrame.NineSlice.BottomLeftCorner,
					IslandsQueueFrame.NineSlice.BottomRightCorner,
					IslandsQueueFrame.ArtOverlayFrame.PortraitFrame, }) do
						v:SetVertexColor(.15, .15, .15)
				end
				for i, v in pairs({
					IslandsQueueFrame.Bg,
					IslandsQueueFrame.TitleBg }) do
						v:SetVertexColor(.3, .3, .3)
				end
			end
		end)

		-- GarrisonCapacitive
		local f = CreateFrame("Frame")
		f:RegisterEvent("ADDON_LOADED")
		f:SetScript("OnEvent", function(self, event, name)
			if name == "Blizzard_GarrisonUI" then
				for i, v in pairs({ GarrisonCapacitiveDisplayFrame.NineSlice.TopEdge,
					GarrisonCapacitiveDisplayFrame.NineSlice.RightEdge,
					GarrisonCapacitiveDisplayFrame.NineSlice.BottomEdge,
					GarrisonCapacitiveDisplayFrame.NineSlice.LeftEdge,
					GarrisonCapacitiveDisplayFrame.NineSlice.TopRightCorner,
					GarrisonCapacitiveDisplayFrame.NineSlice.TopLeftCorner,
					GarrisonCapacitiveDisplayFrame.NineSlice.BottomLeftCorner,
					GarrisonCapacitiveDisplayFrame.NineSlice.BottomRightCorner,
					GarrisonCapacitiveDisplayFrameInset.NineSlice.BottomEdge, }) do
						v:SetVertexColor(.15, .15, .15)
				end
				for i, v in pairs({
					GarrisonCapacitiveDisplayFrame.Bg,
					GarrisonCapacitiveDisplayFrame.TitleBg }) do
						v:SetVertexColor(.3, .3, .3)
				end
			end
		end)

		-- Calendar
		local f = CreateFrame("Frame")
		f:RegisterEvent("ADDON_LOADED")
		f:SetScript("OnEvent", function(self, event, name)
			if name == "Blizzard_Calendar" then
				for i, v in pairs({ CalendarFrameTopMiddleTexture,
					CalendarFrameRightTopTexture,
					CalendarFrameRightMiddleTexture,
					CalendarFrameRightBottomTexture,
					CalendarFrameBottomRightTexture,
					CalendarFrameBottomMiddleTexture,
					CalendarFrameBottomLeftTexture,
					CalendarFrameLeftMiddleTexture,
					CalendarFrameLeftTopTexture,
					CalendarFrameLeftBottomTexture,
					CalendarFrameTopLeftTexture,
					CalendarFrameTopRightTexture,
					CalendarCreateEventFrame.Border.TopEdge,
					CalendarCreateEventFrame.Border.RightEdge,
					CalendarCreateEventFrame.Border.BottomEdge,
					CalendarCreateEventFrame.Border.LeftEdge,
					CalendarCreateEventFrame.Border.TopRightCorner,
					CalendarCreateEventFrame.Border.TopLeftCorner,
					CalendarCreateEventFrame.Border.BottomLeftCorner,
					CalendarCreateEventFrame.Border.BottomRightCorner,
					CalendarViewHolidayFrame.Border.TopEdge,
					CalendarViewHolidayFrame.Border.RightEdge,
					CalendarViewHolidayFrame.Border.BottomEdge,
					CalendarViewHolidayFrame.Border.LeftEdge,
					CalendarViewHolidayFrame.Border.TopRightCorner,
					CalendarViewHolidayFrame.Border.TopLeftCorner,
					CalendarViewHolidayFrame.Border.BottomLeftCorner,
					CalendarViewHolidayFrame.Border.BottomRightCorner, }) do
						v:SetVertexColor(.15, .15, .15)
				end
			end
		end)

		-- Calendar
		local f = CreateFrame("Frame")
		f:RegisterEvent("ADDON_LOADED")
		f:SetScript("OnEvent", function(self, event, name)
			if name == "Blizzard_GameMenu" then
				print('test')
			end
		end)

		-- AzeriteRespec
		local f = CreateFrame("Frame")
		f:RegisterEvent("ADDON_LOADED")
		f:SetScript("OnEvent", function(self, event, name)
			if name == "Blizzard_AzeriteRespecUI" then
				for i, v in pairs({ AzeriteRespecFrame.NineSlice.TopEdge,
					AzeriteRespecFrame.NineSlice.RightEdge,
					AzeriteRespecFrame.NineSlice.BottomEdge,
					AzeriteRespecFrame.NineSlice.LeftEdge,
					AzeriteRespecFrame.NineSlice.TopRightCorner,
					AzeriteRespecFrame.NineSlice.TopLeftCorner,
					AzeriteRespecFrame.NineSlice.BottomLeftCorner,
					AzeriteRespecFrame.NineSlice.BottomRightCorner, }) do
						v:SetVertexColor(.15, .15, .15)
				end
				for i, v in pairs({
					AzeriteRespecFrame.Bg,
					AzeriteRespecFrame.TitleBg }) do
						v:SetVertexColor(.3, .3, .3)
				end
			end
		end)

		-- ScrappingMachineFrame
		local f = CreateFrame("Frame")
		f:RegisterEvent("ADDON_LOADED")
		f:SetScript("OnEvent", function(self, event, name)
			if name == "Blizzard_ScrappingMachineUI" then
				for i, v in pairs({ ScrappingMachineFrame.NineSlice.TopEdge,
					ScrappingMachineFrame.NineSlice.RightEdge,
					ScrappingMachineFrame.NineSlice.BottomEdge,
					ScrappingMachineFrame.NineSlice.LeftEdge,
					ScrappingMachineFrame.NineSlice.TopRightCorner,
					ScrappingMachineFrame.NineSlice.TopLeftCorner,
					ScrappingMachineFrame.NineSlice.BottomLeftCorner,
					ScrappingMachineFrame.NineSlice.BottomRightCorner, }) do
						v:SetVertexColor(.15, .15, .15)
				end
			end
		end)

		-- ScrappingMachineFrame
		local f = CreateFrame("Frame")
		f:RegisterEvent("ADDON_LOADED")
		f:SetScript("OnEvent", function(self, event, name)
			if name == "Blizzard_TimeManager" then
				for i, v in pairs({ TimeManagerFrame.NineSlice.TopEdge,
					TimeManagerFrame.NineSlice.RightEdge,
					TimeManagerFrame.NineSlice.BottomEdge,
					TimeManagerFrame.NineSlice.LeftEdge,
					TimeManagerFrame.NineSlice.TopRightCorner,
					TimeManagerFrame.NineSlice.TopLeftCorner,
					TimeManagerFrame.NineSlice.BottomLeftCorner,
					TimeManagerFrame.NineSlice.BottomRightCorner,
					TimeManagerFrameInset.NineSlice.TopEdge,
					TimeManagerFrameInset.NineSlice.RightEdge,
					TimeManagerFrameInset.NineSlice.BottomEdge,
					TimeManagerFrameInset.NineSlice.LeftEdge,
					TimeManagerFrameInset.NineSlice.TopRightCorner,
					TimeManagerFrameInset.NineSlice.TopLeftCorner,
					StopwatchFrameBackgroundLeft, }) do
						v:SetVertexColor(.15, .15, .15)
				end
			end
		end)

		-- AzeriteEssenceUI
		local f = CreateFrame("Frame")
		f:RegisterEvent("ADDON_LOADED")
		f:SetScript("OnEvent", function(self, event, name)
			if name == "Blizzard_AzeriteEssenceUI" then
				for i, v in pairs({ AzeriteEssenceUI.NineSlice.TopEdge,
					AzeriteEssenceUI.NineSlice.RightEdge,
					AzeriteEssenceUI.NineSlice.BottomEdge,
					AzeriteEssenceUI.NineSlice.LeftEdge,
					AzeriteEssenceUI.NineSlice.TopRightCorner,
					AzeriteEssenceUI.NineSlice.TopLeftCorner,
					AzeriteEssenceUI.NineSlice.BottomLeftCorner,
					AzeriteEssenceUI.NineSlice.BottomRightCorner, }) do
						v:SetVertexColor(.15, .15, .15)
				end
				for i, v in pairs({
					AzeriteEssenceUI.Bg,
					AzeriteEssenceUI.TitleBg }) do
						v:SetVertexColor(.3, .3, .3)
				end
				for i, v in pairs({ 	
					AzeriteEssenceUI.LeftInset.NineSlice.TopEdge,
					AzeriteEssenceUI.LeftInset.NineSlice.TopRightCorner,
					AzeriteEssenceUI.LeftInset.NineSlice.RightEdge,
					AzeriteEssenceUI.LeftInset.NineSlice.BottomRightCorner,
					AzeriteEssenceUI.LeftInset.NineSlice.BottomEdge,
					AzeriteEssenceUI.LeftInset.NineSlice.BottomLeftCorner,
					AzeriteEssenceUI.LeftInset.NineSlice.LeftEdge,
					AzeriteEssenceUI.LeftInset.NineSlice.TopLeftCorner,
					AzeriteEssenceUI.RightInset.NineSlice.TopEdge,
					AzeriteEssenceUI.RightInset.NineSlice.TopRightCorner,
					AzeriteEssenceUI.RightInset.NineSlice.RightEdge,
					AzeriteEssenceUI.RightInset.NineSlice.BottomRightCorner,
					AzeriteEssenceUI.RightInset.NineSlice.BottomEdge,
					AzeriteEssenceUI.RightInset.NineSlice.BottomLeftCorner,
					AzeriteEssenceUI.RightInset.NineSlice.LeftEdge,
					AzeriteEssenceUI.RightInset.NineSlice.TopLeftCorner, }) do
					v:SetVertexColor(.3, .3, .3)
				end
				for i, v in pairs({ 	
					AzeriteEssenceUI.EssenceList.ScrollBar.ScrollBarBottom,
					AzeriteEssenceUI.EssenceList.ScrollBar.ScrollBarMiddle,
					AzeriteEssenceUI.EssenceList.ScrollBar.ScrollBarTop,
					AzeriteEssenceUI.EssenceList.ScrollBar.thumbTexture,
					AzeriteEssenceUI.EssenceList.ScrollBar.ScrollUpButton.Normal,
					AzeriteEssenceUI.EssenceList.ScrollBar.ScrollDownButton.Normal,
					AzeriteEssenceUI.EssenceList.ScrollBar.ScrollUpButton.Disabled,
					AzeriteEssenceUI.EssenceList.ScrollBar.ScrollDownButton.Disabled, }) do
					v:SetVertexColor(.4, .4, .4)
				end
			end
		end)

		-- PvP UI
		local f = CreateFrame("Frame")
		f:RegisterEvent("ADDON_LOADED")
		f:SetScript("OnEvent", function(self, event, name)
			if name == "Blizzard_PVPUI" then
				for i, v in pairs({
					HonorFrame.BonusFrame.WorldBattlesTexture,
					ConquestFrame.RatedBGTexture,
					ConquestFrame.ConquestBar.Border,
					HonorFrame.ConquestBar.Border, }) do
						v:SetVertexColor(.2, .2, .2)
				end
				for i, v in pairs({
					PVPQueueFrame.HonorInset.NineSlice.TopEdge,
					PVPQueueFrame.HonorInset.NineSlice.TopRightCorner,
					PVPQueueFrame.HonorInset.NineSlice.RightEdge,
					PVPQueueFrame.HonorInset.NineSlice.BottomRightCorner,
					PVPQueueFrame.HonorInset.NineSlice.BottomEdge,
					PVPQueueFrame.HonorInset.NineSlice.BottomLeftCorner,
					PVPQueueFrame.HonorInset.NineSlice.LeftEdge,
					PVPQueueFrame.HonorInset.NineSlice.TopLeftCorner,
					HonorFrame.Inset.NineSlice.TopEdge,
					HonorFrame.Inset.NineSlice.TopRightCorner,
					HonorFrame.Inset.NineSlice.RightEdge,
					HonorFrame.Inset.NineSlice.BottomRightCorner,
					HonorFrame.Inset.NineSlice.BottomEdge,
					HonorFrame.Inset.NineSlice.BottomLeftCorner,
					HonorFrame.Inset.NineSlice.LeftEdge,
					HonorFrame.Inset.NineSlice.TopLeftCorner,
					ConquestFrame.Inset.NineSlice.TopEdge,
					ConquestFrame.Inset.NineSlice.TopRightCorner,
					ConquestFrame.Inset.NineSlice.RightEdge,
					ConquestFrame.Inset.NineSlice.BottomRightCorner,
					ConquestFrame.Inset.NineSlice.BottomEdge,
					ConquestFrame.Inset.NineSlice.BottomLeftCorner,
					ConquestFrame.Inset.NineSlice.LeftEdge,
					ConquestFrame.Inset.NineSlice.TopLeftCorner,}) do
						v:SetVertexColor(.3, .3, .3)
				end
				PVPQueueFrame.HonorInset:Hide();
			end
		end)

		-- Challenges
		local f = CreateFrame("Frame")
		f:RegisterEvent("ADDON_LOADED")
		f:SetScript("OnEvent", function(self, event, name)
			if name == "Blizzard_ChallengesUI" then
				for i, v in pairs({
					ChallengesFrameInset.NineSlice.TopEdge,
					ChallengesFrameInset.NineSlice.TopRightCorner,
					ChallengesFrameInset.NineSlice.RightEdge,
					ChallengesFrameInset.NineSlice.BottomRightCorner,
					ChallengesFrameInset.NineSlice.BottomEdge,
					ChallengesFrameInset.NineSlice.BottomLeftCorner,
					ChallengesFrameInset.NineSlice.LeftEdge,
					ChallengesFrameInset.NineSlice.TopLeftCorner,}) do
						v:SetVertexColor(.3, .3, .3)
				end
			end
		end)

		-- Archaeology
		local f = CreateFrame("Frame")
		f:RegisterEvent("ADDON_LOADED")
		f:SetScript("OnEvent", function(self, event, name)
			if name == "Blizzard_ArchaeologyUI" then
				for i, v in pairs({ ArchaeologyFrame.NineSlice.TopEdge,
					ArchaeologyFrame.NineSlice.RightEdge,
					ArchaeologyFrame.NineSlice.BottomEdge,
					ArchaeologyFrame.NineSlice.LeftEdge,
					ArchaeologyFrame.NineSlice.TopRightCorner,
					ArchaeologyFrame.NineSlice.TopLeftCorner,
					ArchaeologyFrame.NineSlice.BottomLeftCorner,
					ArchaeologyFrame.NineSlice.BottomRightCorner, }) do
						v:SetVertexColor(.15, .15, .15)
				end
			end
		end)

	end
end)